package main;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextArea;
import javax.swing.border.EmptyBorder;

public class InfoTestPanel extends JPanel{

	private StartClass controller;
	private JButton button;
	private JLabel label;
	private JTextArea textArea;
	
	public InfoTestPanel(StartClass _controller) {
		super();
		
		controller = _controller;
		
		setLayout(new BorderLayout(5, 5));
		setBorder(new EmptyBorder(5, 5, 5, 5));
		
		button = new JButton("Back");
		label = new JLabel(controller.getTema());
		textArea = new JTextArea();
		textArea.setLineWrap(true);
		textArea.setWrapStyleWord(true);
		
		add(IOFactory.getPane(label), BorderLayout.NORTH);
		add(IOFactory.getScrollPane(textArea), BorderLayout.CENTER);
		add(IOFactory.getPanelForButton(button), BorderLayout.SOUTH);
		
		button.addActionListener(new ActionListener(){
			public void actionPerformed(ActionEvent e) {
				controller.showTems();
			}
		});
		
		textArea.setText(IOFactory.findTextByShow(controller.getTema()));
		textArea.setEditable(false);
	}

}
