package main;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTable;
import javax.swing.border.EmptyBorder;
import javax.swing.table.DefaultTableModel;

public class ResultPanel extends JPanel {

	private JLabel resLabel;

	private JButton button;

	private StartClass controller;

	private JTable table;

	private DefaultTableModel model;

	public ResultPanel(StartClass _controller) {
		super();

		controller = _controller;

		resLabel = new JLabel();

		button = new JButton("New testing");
		button.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				controller.showTems();
			}
		});

		int tru = 0;

		Object[][] data = new Object[controller.getBoolList().length][1];
		for (int i = 0; i < controller.getBoolList().length; i++) {
			if (controller.getBoolList()[i])
				tru++;
			String cv = controller.getBoolList()[i] ? "#32CD32" : "#CC0000";
			data[i][0] = "<html><font color='" + cv + "'>"
					+ controller.getTestList().get(i).getQuestion()
					+ "</font></html>";
		}

		model = new DefaultTableModel(data, new String[] { "Question" }) {
			public boolean isCellEditable(int rowIndex, int columnIndex) {
				return false;
			}

		};
		table = new JTable(model);

		int pur = (tru * 100) / controller.getBoolList().length;

		resLabel.setText("Correct answers: " + tru + " / "
				+ controller.getBoolList().length + " (" + pur + " % )");

		setLayout(new BorderLayout(5, 5));
		setBorder(new EmptyBorder(5, 5, 5, 5));

		add(IOFactory.getScrollPane(table));
		add(IOFactory.getPane(resLabel), BorderLayout.NORTH);
		add(IOFactory.getPanelForButton(button), BorderLayout.SOUTH);
	}
}
